package domain

type AlibabaWdkMarketingVersionGenerateMarketResult struct {
	/*
	   message     */
	Message *string `json:"message,omitempty" `

	/*
	   data     */
	Data *int64 `json:"data,omitempty" `

	/*
	   errorCode     */
	ResultCode *string `json:"result_code,omitempty" `

	/*
	   success     */
	IsSuccess *bool `json:"is_success,omitempty" `
}

func (s *AlibabaWdkMarketingVersionGenerateMarketResult) SetMessage(v string) *AlibabaWdkMarketingVersionGenerateMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingVersionGenerateMarketResult) SetData(v int64) *AlibabaWdkMarketingVersionGenerateMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaWdkMarketingVersionGenerateMarketResult) SetResultCode(v string) *AlibabaWdkMarketingVersionGenerateMarketResult {
	s.ResultCode = &v
	return s
}
func (s *AlibabaWdkMarketingVersionGenerateMarketResult) SetIsSuccess(v bool) *AlibabaWdkMarketingVersionGenerateMarketResult {
	s.IsSuccess = &v
	return s
}
